Subject: Re: bug#66721: 29.1; make sanity-check fails

From: Ulrich Mueller <[email-masked]>
Date: Tue, 24 Oct 2023 13:51:03 +0200

>>>>> On Tue, 24 Oct 2023, Eli Zaretskii wrote:

> One could argue (although I personally will not necessarily agree)
> that making sure site-lisp loads fine _is_ part of the sanity check,
> since a failure to load that is not necessarily due to problem in
> site-lisp, it could be a problem with the built Emacs.

>From a (source-based) distro point of view, the user must first update
Emacs, followed by updating any add-on packages. It's a logical dilemma
if the first step can fail because of outdated add-on packages.

>> I propose the trivial patch below, preferably for the emacs-29 branch.

> Thanks, but I don't think it's trivial, so please install it on
> master, as I don't want any changes in the build at this late stage of
> Emacs 29 release cycle.

I fail to see any potential for breakage there, but whatever.

> Also, please use -Q, not --quick, as I think the former is more
> familiar.

Done.